%define name rox-oroborox
%define version 0.9.5
#define pre rc9
#define release 0.%pre.1mdk
%define release 1mdk
%define oname OroboROX

Summary: Window Manager for the ROX desktop
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://roxos.sunsite.dk/dev-contrib/guido/%{oname}-%{version}.tar.bz2
License: GPL
Group: Graphical desktop/Other
Url: http://kymatica.bitminds.net/rox/OroboROX/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: XFree86-devel
BuildRequires: glib2-devel
Requires: rox-lib >= 1.9.13

%description
OroboROX is a small yet fully featured window manager with the ROX Desktop
in mind. OroboROX is based on Oroborus and at this point (version 0.8.2) mostly
identical with its version 2.0.13.


%prep
%setup -q -n %oname
# -n %oname-%version%pre
chmod -R go+r *
chmod 644 Configure/OroboScheme/icon-template.svg


%build
export CC="gcc -L%_prefix/X11R6/lib"
./AppRun ||:

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot{%_libdir/apps,%_bindir,%{_sysconfdir}/X11/wmsession.d}
cp -r ../%oname %buildroot%_libdir/apps/%oname
rm -rf %buildroot%_libdir/apps/%oname/src %buildroot%_libdir/apps/%oname/=build %buildroot%_libdir/apps/%oname/Messages/dist %buildroot%_libdir/apps/%oname/Messages/*po %buildroot%_libdir/apps/%oname/Messages/tips.py %buildroot%_libdir/apps/%oname/.xvpics %buildroot%_libdir/apps/%oname/.DirIcon_old
cat > %buildroot%_bindir/oroborox << EOF
#!/bin/bash
cd %_libdir/apps/%oname
./AppRun
EOF

#gw no translations in this version
#for gmo in %buildroot%_libdir/apps/%oname/Messages/*.gmo;do
#echo "%lang($(basename $gmo|sed s/.gmo//)) $(echo $gmo|sed s!%buildroot!!)" >> %name.lang
#done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %_libdir/apps/%oname/
#%dir %_libdir/apps/%oname/Messages
%doc %_libdir/apps/%oname/Help
%attr(755,root,root) %_bindir/oroborox
%_libdir/apps/%oname/App*
%_libdir/apps/%oname/default*
%_libdir/apps/%oname/Linux-*
%_libdir/apps/%oname/.DirIcon
%_libdir/apps/%oname/Configure


%changelog
* Fri Oct 22 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.5-1mdk
- New release 0.9.5

* Wed Oct 13 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.4-1mdk
- New release 0.9.4

* Fri Oct  8 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.3-1mdk
- New release 0.9.3

* Mon Oct  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.2-1mdk
- source URL
- New release 0.9.2

* Fri Oct  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- fix build
- new version

* Sun Aug 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.8-0.rc9.1mdk
- new version

* Mon Aug 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.8-0.rc8.1mdk
- new version

* Fri Aug 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.8-0.rc6.1mdk
- new version

* Thu Aug 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.8-0.rc4.1mdk
- new version

* Wed Aug 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.8-0.rc3.1mdk
- new version

* Sat Jul 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.7.3-1mdk
- fix file list
- New release 0.8.7.3

* Fri Jun 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.7.2-1mdk
- fix build against broken xft
- New release 0.8.7.2

* Mon May 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.7.1-1mdk
- add missing files
- New release 0.8.7.1

* Sat May 15 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.7-1mdk
- New release 0.8.7

* Mon May  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.6.5-1mdk
- spec fix
- New release 0.8.6.5

* Sat May  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.6.4-1mdk
- update file list
- New release 0.8.6.4

* Fri Apr 30 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.6.3-1mdk
- New release 0.8.6.3

* Thu Apr 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.6.2-1mdk
- add new file
- fix build of the locale files
- New release 0.8.6.2

* Wed Apr 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.6.1-1mdk
- add translations
- drop patch
- New release 0.8.6.1

* Tue Apr 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.6-2mdk
- patch: fix window moving when numlock is active

* Tue Apr 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.6-1mdk
- fix build
- fix source URL
- New release 0.8.6

* Fri Apr 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.5-1mdk
- add source URL
- new version

* Tue Apr 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.4-2mdk
- fix rox-lib dependancy
- fix url

* Tue Apr 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.4-1mdk
- requires glib2
- new version

* Fri Apr  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.3.1-1mdk
- initial package

